Skip to content
Newer
Older
100755 40 lines (33 sloc) 1.22 KB
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
1 #!/usr/bin/env python
2
da3aff1 @petteraas Only import setup from distutils.core if setuptools is not available.
petteraas authored Mar 22, 2014
3 try:
4 from setuptools import setup
5 except ImportError:
6 from distutils.core import setup
7
01dbca9 @eriky Added argparse requirement if python version is below 2.7
authored Aug 2, 2013
8 from sys import version_info
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
9
760cbab @eriky improved setup.py to include complete readme as description
authored Feb 27, 2012
10 with open('README.rst') as file:
11 long_description = file.read()
83c0a6f @eriky added package requirements to setup.py
authored Feb 27, 2012
12
01dbca9 @eriky Added argparse requirement if python version is below 2.7
authored Aug 2, 2013
13 install_requires = ['requests']
14
bb36a81 @eriky different way of checking version
authored Aug 3, 2013
15 if version_info < (2,7):
01dbca9 @eriky Added argparse requirement if python version is below 2.7
authored Aug 2, 2013
16 install_requires.append('argparse')
75a158a @eriky updated version in setup.py
authored Mar 23, 2014
17
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
18 setup(name='ESClient',
0fff6c9 @eriky bumped version number
authored Mar 26, 2014
19 version="0.5.8",
7f700a4 @eriky fixed up setup.py requires section, updated readme
authored Jan 31, 2013
20 description='A lightweight Python client for ElasticSearch, including a dump and import tool for indexes',
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
21 author='Erik-Jan van Baaren',
22 author_email='erikjan@gmail.com',
23 url='https://github.com/eriky/ESClient',
53b60e7 @eriky install instructions
authored Feb 25, 2012
24 py_modules=['esclient'],
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
25 license='New BSD license',
53b60e7 @eriky install instructions
authored Feb 25, 2012
26 keywords = ["elasticsearch"],
01dbca9 @eriky Added argparse requirement if python version is below 2.7
authored Aug 2, 2013
27 install_requires = install_requires,
7f700a4 @eriky fixed up setup.py requires section, updated readme
authored Jan 31, 2013
28 scripts = ['bin/esdump', 'bin/esimport'],
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
29 classifiers=[
3af7dda Updated some files to prepare for a 0.4.0 release
erik authored Aug 8, 2012
30 'Development Status :: 4 - Beta',
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
31 'Environment :: Web Environment',
32 'Intended Audience :: Developers',
1393b4a @eriky Fixed setup.py, added MANIFEST.in, modified .gitignore to ignore gene…
authored Feb 24, 2012
33 'License :: OSI Approved :: BSD License',
eb3a811 @eriky added a distutils setup.py, modified readme and .gitignore a little
authored Feb 24, 2012
34 'Operating System :: OS Independent',
35 'Programming Language :: Python',
36 'Topic :: Internet :: WWW/HTTP :: Indexing/Search'
b213b11 @eriky Added script to create and upload package to PyPI + some PEP-0008 rel…
authored Feb 25, 2012
37 ],
760cbab @eriky improved setup.py to include complete readme as description
authored Feb 27, 2012
38 long_description = long_description
bb36a81 @eriky different way of checking version
authored Aug 3, 2013
39 )
Something went wrong with that request. Please try again.